--- title: "createNetworkAcl" slug: "networking-vpc-networkacl-createnetworkacl" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-networkacl-createnetworkacl" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createNetworkAcl Available in VPC Create a network ACL in the VPC environment. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/createNetworkAcl | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC request headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code where you want to create a network ACL - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the query result (default). | | `vpcNo` | String | Required | Number of the VPC where you want to create a network ACL - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `networkAclName` | String | Optional | Name of the network ACL to create - Granted automatically by NAVER Cloud Platform (default). - Enter 3-30 characters, including letters, numbers, and special character "-". - The string must begin with an English letter and end with an English letter or number. | | `networkAclDescription` | String | Optional | Description of the network ACL (byte) - 0-1000 | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/createNetworkAcl ?regionCode=KR &vpcNo=***04 &networkAclName=test-***' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [NetworkAclList](/docs/en/common-vapidatatype-networkacllist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 2828ed65-e3ad-48ef-ac80-ca2e31c33544 0 success 1 ***31 test-*** ***04 RUN run 2020-07-31T16:38:52+0900 false ```